
Redmine - Feature #35374

Reduce amount of work on projects show API

2021-06-08 15:51 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Performance Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution:    

Description

Most of the variables computed in the ProjectsController#show action are only needed for the html view, not for the API view.

Associated revisions

Revision 21056 - 2021-07-01 03:42 - Go MAEDA

Reduce amount of work on projects show API (#35374).

Patch by Felix Schäfer.

History

#1 - 2021-06-08 15:51 - Felix Schäfer

- File 35374.patch added

#2 - 2021-06-22 04:16 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2021-06-25 04:34 - Go MAEDA

- Target version changed from Candidate for next major release to 5.0.0

Setting the target version to 5.0.0.

#4 - 2021-07-01 03:43 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.

#5 - 2022-03-27 05:03 - Go MAEDA

- Tracker changed from Patch to Feature

Files

35374.patch 2.13 KB 2021-06-08 Felix Schäfer
